Recordatorios de jornada
Referencia de 3 endpoints generados desde mosend-wb-backend/src/modules/shift-reminders/shift-reminders.controller.ts.
Base path:
/organizations/:orgId/shift-reminders·3 endpoints·Source: mosend-wb-backend/src/modules/shift-reminders/shift-reminders.controller.ts/organizations/:orgId/shift-reminders bearer
Lee los recordatorios de jornada de los agentes.
Path params
orgIdstringrequerido
Respuestas
- 200
curl -X GET 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/shift-reminders' \ -H 'X-Api-Key: mk_live_<prefix>.<secret>'
Response · 200
{
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"createdAt": "2026-05-01T03:42:18.123Z"
},
"timestamp": "2026-05-01T03:42:18.123Z"
}/organizations/:orgId/shift-reminders bearer
Actualiza los recordatorios de jornada (parcial).
Path params
orgIdstringrequerido
Body
UpdateShiftRemindersDtoparámetro: dtoRespuestas
- 200
curl -X PUT 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/shift-reminders' \
-H 'X-Api-Key: mk_live_<prefix>.<secret>' \
-H 'Content-Type: application/json' \
-d '{"name": "string","description": "string"}'Response · 200
{
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"description": "string"
},
"timestamp": "2026-05-01T03:42:18.123Z"
}/organizations/:orgId/shift-reminders/test bearer
Envía un recordatorio de jornada de PRUEBA al usuario actual por los canales habilitados.
Path params
orgIdstringrequerido
Respuestas
- 200
curl -X POST 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/shift-reminders/test' \ -H 'X-Api-Key: mk_live_<prefix>.<secret>'
Response · 200
{
"data": {
"id": "00000000-0000-0000-0000-000000000000",
"createdAt": "2026-05-01T03:42:18.123Z"
},
"timestamp": "2026-05-01T03:42:18.123Z"
}